{ lib, stdenvNoCC, zola, commitShaShort ? "" }:

stdenvNoCC.mkDerivation rec {
  pname = "hagridAboutPages";
  version = "2.1.0";

  src = ./.;

  nativeBuildInputs = [
    zola
  ];

  buildPhase = ''
    zola build --output-dir $out/about
  '';

  COMMIT_SHA_SHORT = commitShaShort;

  meta = with lib; {
    description = "A verifying keyserver (about pages)";
    homepage = "https://gitlab.com/keys.openpgp.org/hagrid";
    license = with licenses; [ gpl3 ];
    maintainers = with maintainers; [ valodim ];
    platforms = platforms.all;
  };
}
